Bug 444150 - Wakeups in scim-panel-gtk
Wakeups in scim-panel-gtk
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 09:54 EDT by Matthias Clasen
Modified: 2008-12-01 19:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 19:42:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2008-04-25 09:54:16 EDT
Hey guys,

I had a look today at why scim-panel-gtk causes a measurable number of
wakeups on my system. I wasn't sure who to send this to, so I figured I
simply send it to the list. 


Regards, Matthias



 _toolbar_hide_timeout = gtk_timeout_add (1000, ui_hide_window_timeout_cb, NULL)

should use g_timeout_add_seconds (1, ...) instead. Also, the timeout
should only be installed if it has a chance to do something useful. If
_toolbar_always_show is FALSE, e.g there is no reason at all to wake up
once per second and do nothing. Simply schedule the timeout when you set
_toolbar_always_show to TRUE. Similarly for the other condition.

 

_check_exit_timeout = gtk_timeout_add (500, check_exit_timeout_cb,
NULL);

This one makes no sense at all to me. Instead just quit the mainloop
whereever you currently set _should_exit to TRUE.
Comment 1 Bug Zapper 2008-05-14 06:09:13 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Peng Huang 2008-07-17 02:07:17 EDT
Fixed in scim-1.4.7-27.
Comment 3 Jens Petersen 2008-07-23 04:08:00 EDT
Matthias, could you have a look when you have time to check if it is ok now?
Comment 4 Bug Zapper 2008-11-25 21:14:09 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.